Tag: android gradle

Konnte keine unbekannte Eigenschaft "assembleRelease" bei der Verwendung von gradle 2.14.1

Bei der Verwendung älterer Version dann gradle 2.14.1 dann unten Anweisung kompiliert und Erfolgreich laufen, aber nach der Aktualisierung mit gradle 2.14.1 , funktioniert es nicht. Code: assembleRelease.dependsOn 'increaseVersionCodeAndName' Vielen Dank, Devang

Kann nicht importiert werden Importe aus externen Abhängigkeiten in Android Studio 2.0 Vorschau 5 + Vorschau 6

Nach dem Upgrade von der letzten Android Studio 2.0 Vorschau auf Vorschau 5 habe ich Probleme mit den Importen aus dem android.support.wearable Paket. Sowohl die Haupt-App und Wear App baut und läuft ganz gut, aber der Editor in Android Studio beschwert, dass es nicht lösen können diese Einfuhren import android.support.wearable.activity.WearableActivity; import android.support.wearable.view.CircledImageView; import android.support.wearable.view.WearableListView; In […]

Android Studio 1.1.0 Gradle-Projekt-Synchronisierung fehlgeschlagen Fehler beim Importieren eines Gradle-Projekts auf einem OSX

Ich habe gerade gradle in diesem Ordner installiert: /Users/joanet/Development/gradle-2.3 Bearbeiten Sie die Datei launchd.conf sudo vim /etc/launchd.conf Um die Variable GRAILS_HOME zu setzen setenv GRAILS_HOME /Users/joanet/Development/gradle-2.3 Dann habe ich das projekt https://github.com/NordicSemiconductor/Android-nRF-Toolbox importiert Mit Datei -> Projekt importieren Aber ich habe diesen Fehler: Gradle Projekt Sync fehlgeschlagen und Fehler: Konfiguration mit Namen 'default' nicht in […]

Android-Produkt-Aromen versionNameSuffix

Ich verwende buildTypes und productFlavours. Meine App verwendet auch ein Analytics-Tool und dieses Tool verwendet die VersionName meiner App. Wie kann ich den versionName pro Geschmack ändern? Mein Test war productFlavors { google { versionNameSuffix ".google" } } Aber es ist gescheitert Hat jemand eine Idee, wie man die VersionName je nach Geschmack benutzerdefiniert? Aktualisieren […]

Android Manifest Duplicate Permissions

Wir haben eine App, die aus einer Drittbibliothek (Altbeacon), einer lokal aufgebauten Android-Bibliothek und einer App-Komponente besteht. Alle drei Komponenten haben eine AndroidManifest.xml, die während des Builds zusammengeführt werden. Die App wird mit gradle gebaut. Diese App wurde seit langem im Google Play Store veröffentlicht. In der letzten Iteration haben wir von API Level 22 […]

Wie stelle ich eine Umgebungsvariable in Android Studio ein, bevor es meine gradle baut

Mein Gradle-Build schaut auf eine Umgebungsvariable namens BUILD_NUMBER, um die Version zu bestimmen, die meiner Android-Anwendung wie folgt zuzuordnen ist: def buildNumber = System.getenv("BUILD_NUMBER") ?: "local" Solange diese Umgebungsvariable gesetzt ist, wird die Buildnummer in defaultConfig wie folgt verwendet: versionName "1.4.0."+buildNumber Normalerweise wird Jenkins diese Gradle aufbauen und die Umgebungsvariable BUILD_NUMBER versorgen. Wenn ich die […]

Android Studio ignore – Core-Bibliothek Flagge

Ich habe ein Projekt, das ich auf meinem Computer konfigurieren möchte. Auf dem Computer funktioniert es, aber mit der alten Version von Android Studio 0.4.0, wenn ich 0.5.2 verwende Das ist wahr, dass nach dem Start von App es Fehler zeigen Build-Skript-Fehler, nicht unterstützte Gradle DSL-Methode gefunden: 'coreLibrary ()'! Mögliche Ursachen könnten sein: – Sie […]

Fehler werden "Gradle Version 1.10 ist erforderlich. Aktuelle Version ist 1.12. "Bei der Ausführung" gradle wrapper "?

Ich versuche, gradle wrapper für ein Android-Projekt auszuführen, und dieser Fehler wird aufgeworfen: Es wurde ein Problem beim Auswerten des Wurzelprojekts 'myapp' aufgetreten. > Gradle Version 1.10 ist erforderlich. Aktuelle Version ist 1.12. Wenn Sie den Gradle-Wrapper verwenden, versuchen Sie, die DistributionUrl in /Users/dude/myapp/gradle/wrapper/gradle-wrapper.properties zu gradle-1.10-all.zip zu bearbeiten Meine wrapper Aufgabe in build.gradle sieht so […]

Kann keine Assets für mehrere Dichten mit SDK-Build-Tools 21 oder höher filtern

Aufgrund eines Problems, das meine Anwendung im Freigabemodus mit dem Gradle Plugin 1.3.0 aufbaut, habe ich auf 1.4.0 (Beta 2) umgestellt, was das Build-Problem behebt. Allerdings, während einige Aromen perfekt bauen, haben andere ihre Build mit der folgenden Fehlermeldung abgebrochen: Kann keine Assets für mehrere Dichten mit SDK-Build-Tools 21 oder höher filtern. Verwenden Sie stattdessen […]

Code Pfad pro Geschmack in Android Gradle

Ich habe 2 buildTypes (debug, release) und 2 productFlavours (product1, product2). Ich möchte ein buildConfigField für jeden buildType und productFlavors definieren. Das buildConfigField ist die URL der App, um Daten vom Server herunterzuladen, und es ändert sich für jedes productFlavor und buildTypes. Jetzt habe ich: buildTypes { debug { debuggable true } release { debuggable […]

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.